Enable embed

GET https://api.ap1.datadoghq.com/api/v1/graph/embed/{embed_id}/enablehttps://api.ap2.datadoghq.com/api/v1/graph/embed/{embed_id}/enablehttps://api.datadoghq.eu/api/v1/graph/embed/{embed_id}/enablehttps://api.ddog-gov.com/api/v1/graph/embed/{embed_id}/enablehttps://api.us2.ddog-gov.com/api/v1/graph/embed/{embed_id}/enablehttps://api.datadoghq.com/api/v1/graph/embed/{embed_id}/enablehttps://api.us3.datadoghq.com/api/v1/graph/embed/{embed_id}/enablehttps://api.us5.datadoghq.com/api/v1/graph/embed/{embed_id}/enable

Overview

Enable a specified embed. This endpoint requires the embeddable_graphs_share permission.

Arguments

Path Parameters

Name

Type

Description

embed_id [required]

string

ID of the embed.

Response

OK

A JSON object containing the success message

Expand All

Field

Type

Description

success

string

Message.

{
  "success": "Embed 00000000000 successfully enabled."
}

Authentication Error

Error response object.

Expand All

Field

Type

Description

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Not found

Error response object.

Expand All

Field

Type

Description

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

Error response object.

Expand All

Field

Type

Description

errors [required]

[string]

Array of errors returned by the API.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export embed_id="CHANGE_ME"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v1/graph/embed/${embed_id}/enable" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"